CREATE TABLE hre_touchpt_empl_evts_intrcns (
    REFERENCE_ID                      NUMBER(18, 0),
    TEMPLATE_ID                       NUMBER(18, 0),
    REVIEW_PERIOD_ID                  NUMBER(18, 0),
    STATUS_CODE                       VARCHAR2(120),
    ENGAGEMENT_TYPE                   VARCHAR2(120)    NOT NULL,
    ENGAGEMENT_DATE                   DATE         ,
    CREATED_FOR_PERSON_ID             NUMBER(18, 0)    NOT NULL,
    CREATED_FOR_ASSIGNMENT_ID         NUMBER(18, 0),
    CREATED_FOR_MANAGER_PERSON_ID     NUMBER(18, 0),
    CREATED_BY_PERSON_ID              NUMBER(18, 0)    NOT NULL,
    CREATED_BY_ASSIGNMENT_ID          NUMBER(18, 0),
    HIDDEN_FLAG                       VARCHAR2(120),
    VISIBILITY                        VARCHAR2(128),
    BUSINESS_GROUP_ID                 NUMBER(18, 0)    NOT NULL,
    REQUEST_ID                        NUMBER(18, 0),
    CHECKIN_TOPICS_DISCUSSED_COUNT    NUMBER(18, 0),
    CHECKIN_TOPICS_TOTAL_COUNT        NUMBER(18, 0),
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)     NOT NULL,
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    REFERENCE_ID                      NUMBER(18, 0),
    ENGAGEMENT_TYPE                   VARCHAR2(120)    NOT NULL,
    ENGAGEMENT_DATE                   DATE         ,
    CREATED_FOR_PERSON_ID             NUMBER(18, 0)    NOT NULL,
    CREATED_FOR_ASSIGNMENT_ID         NUMBER(18, 0),
    CREATED_BY_PERSON_ID              NUMBER(18, 0)    NOT NULL,
    CREATED_BY_ASSIGNMENT_ID          NUMBER(18, 0),
    HIDDEN_FLAG                       VARCHAR2(120),
    VISIBILITY                        VARCHAR2(128),
    BUSINESS_GROUP_ID                 NUMBER(18, 0)    NOT NULL,
    REQUEST_ID                        NUMBER(18, 0),
    CHECKIN_TOPICS_DISCUSSED_COUNT    NUMBER(18, 0),
    CHECKIN_TOPICS_TOTAL_COUNT        NUMBER(18, 0),
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)     NOT NULL,
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    CREATED_FOR_MANAGER_PERSON_ID     NUMBER(18, 0),
    STATUS_CODE                       VARCHAR2(120),
    TEMPLATE_ID                       NUMBER(18, 0),
    REVIEW_PERIOD_ID                  NUMBER(18, 0),
    CONSTRAINT pk_hre_touchpt_empl_evts_intrcns PRIMARY KEY (REFERENCE_ID, REFERENCE_ID)
);
